From bkoenig@cs.tu-berlin.de  Thu Jan 25 23:25:22 2007
Return-Path: <bkoenig@cs.tu-berlin.de>
Received: from mx1.freebsd.org (mx1.freebsd.org [69.147.83.52])
	by hub.freebsd.org (Postfix) with ESMTP id 051AE16A400
	for <FreeBSD-gnats-submit@freebsd.org>; Thu, 25 Jan 2007 23:25:22 +0000 (UTC)
	(envelope-from bkoenig@cs.tu-berlin.de)
Received: from mail.liberty-hosting.de (mail.smartterra.de [195.225.132.203])
	by mx1.freebsd.org (Postfix) with ESMTP id 8CF5813C44B
	for <FreeBSD-gnats-submit@freebsd.org>; Thu, 25 Jan 2007 23:25:21 +0000 (UTC)
	(envelope-from bkoenig@cs.tu-berlin.de)
Received: from mail.liberty-hosting.de ([195.225.132.203])
 by localhost (liberty-mail [195.225.132.203]) (amavisd-new, port 10024)
 with ESMTP id 26554-08; Fri, 26 Jan 2007 00:06:57 +0100 (CET)
Received: from smtp.alpha-tierchen.de (port-212-202-170-218.dynamic.qsc.de [212.202.170.218])
	by mail.liberty-hosting.de (Postfix) with ESMTP id 4502C15B1BE;
	Fri, 26 Jan 2007 00:06:57 +0100 (CET)
Received: from hoppel.local (eurystheus.local [192.168.1.67])
	by smtp.alpha-tierchen.de (Postfix) with SMTP id 0A974508BB;
	Fri, 26 Jan 2007 00:06:55 +0100 (CET)
Received: by hoppel.local (sSMTP sendmail emulation); Fri, 26 Jan 2007 00:06:54 +0100
Message-Id: <20070125230655.0A974508BB@smtp.alpha-tierchen.de>
Date: Fri, 26 Jan 2007 00:06:54 +0100
From: "Bjrn Knig" <bkoenig@cs.tu-berlin.de>
Reply-To: Bjrn Knig <bkoenig@cs.tu-berlin.de>
To: FreeBSD-gnats-submit@freebsd.org
Cc: freebsd-ports@stsp.in-berlin.de
Subject: Update port: emulators/zsnes to 1.51
X-Send-Pr-Version: 3.113
X-GNATS-Notify: freebsd-ports@stsp.in-berlin.de

>Number:         108357
>Category:       ports
>Synopsis:       Update port: emulators/zsnes to 1.51
>Confidential:   no
>Severity:       non-critical
>Priority:       medium
>Responsible:    gabor
>State:          closed
>Quarter:        
>Keywords:       
>Date-Required:  
>Class:          update
>Submitter-Id:   current-users
>Arrival-Date:   Thu Jan 25 23:30:23 GMT 2007
>Closed-Date:    Mon Feb 05 18:54:46 GMT 2007
>Last-Modified:  Mon Feb  5 19:00:46 GMT 2007
>Originator:     Bjrn Knig
>Release:        
>Organization:
>Environment:
>Description:
	This patch updates the port emulators/zsnes from 1.50,1 to 1.51,1
>How-To-Repeat:
>Fix:

--- zsnes.diff begins here ---
diff -ruN zsnes.orig/Makefile zsnes/Makefile
--- zsnes.orig/Makefile	Thu Jan 25 23:00:25 2007
+++ zsnes/Makefile	Thu Jan 25 23:00:36 2007
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	zsnes
-PORTVERSION=	1.50
+PORTVERSION=	1.51
 PORTEPOCH=	1
 CATEGORIES=	emulators
 MASTER_SITES=	SF
diff -ruN zsnes.orig/distinfo zsnes/distinfo
--- zsnes.orig/distinfo	Thu Jan 25 23:00:25 2007
+++ zsnes/distinfo	Thu Jan 25 23:02:09 2007
@@ -1,3 +1,3 @@
-MD5 (zsnes150src.tar.bz2) = f0612e27b1c3dd821044525be5cf4450
-SHA256 (zsnes150src.tar.bz2) = 2ddaaff892d511c717d3e270cc035b208ba2eca04cdf3e749c5739df78ba9aba
-SIZE (zsnes150src.tar.bz2) = 1058671
+MD5 (zsnes151src.tar.bz2) = 328071775f88f7c3b9fdb94176e5e417
+SHA256 (zsnes151src.tar.bz2) = eb013f824f5a9814a714cf0daaea3ea68a1c74fd741e5b0979fcb7964236a866
+SIZE (zsnes151src.tar.bz2) = 1071712
diff -ruN zsnes.orig/files/patch-configure zsnes/files/patch-configure
--- zsnes.orig/files/patch-configure	Thu Jan 25 23:00:25 2007
+++ zsnes/files/patch-configure	Thu Jan 25 23:49:42 2007
@@ -1,10 +1,61 @@
---- configure.orig	Tue Dec 26 18:52:47 2006
-+++ configure	Tue Dec 26 18:53:22 2006
-@@ -5075,38 +5075,6 @@
+--- configure.orig	Thu Jan 25 23:44:43 2007
++++ configure	Thu Jan 25 23:48:32 2007
+@@ -5130,89 +5130,6 @@
  
- rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
-   fi
--  if test x$force_arch = x; then
+   { echo "$as_me:$LINENO: checking which cpu architecture to optimize for" >&5
+ echo $ECHO_N "checking which cpu architecture to optimize for... $ECHO_C" >&6; }
+-  if test x$force_arch != x; then
+-    CFLAGS="$CFLAGS -march=$force_arch"
+-    cat >conftest.$ac_ext <<_ACEOF
+-/* confdefs.h.  */
+-_ACEOF
+-cat confdefs.h >>conftest.$ac_ext
+-cat >>conftest.$ac_ext <<_ACEOF
+-/* end confdefs.h.  */
+-
+-int
+-main ()
+-{
+-
+-  ;
+-  return 0;
+-}
+-_ACEOF
+-rm -f conftest.$ac_objext
+-if { (ac_try="$ac_compile"
+-case "(($ac_try" in
+-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+-  *) ac_try_echo=$ac_try;;
+-esac
+-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+-  (eval "$ac_compile") 2>conftest.er1
+-  ac_status=$?
+-  grep -v '^ *+' conftest.er1 >conftest.err
+-  rm -f conftest.er1
+-  cat conftest.err >&5
+-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+-  (exit $ac_status); } && {
+-	 test -z "$ac_c_werror_flag" ||
+-	 test ! -s conftest.err
+-       } && test -s conftest.$ac_objext; then
+-  { echo "$as_me:$LINENO: result: forcing $force_arch" >&5
+-echo "${ECHO_T}forcing $force_arch" >&6; }
+-else
+-  echo "$as_me: failed program was:" >&5
+-sed 's/^/| /' conftest.$ac_ext >&5
+-
+-	{ echo "$as_me:$LINENO: result: $force_arch ??" >&5
+-echo "${ECHO_T}$force_arch ??" >&6; }
+-    { echo "$as_me:$LINENO: WARNING: incorrect force_arch parameter" >&5
+-echo "$as_me: WARNING: incorrect force_arch parameter" >&2;}
+-    force_arch=""
+-    CFLAGS="$CFLAGSBAK"
+-    { echo "$as_me:$LINENO: checking for autodetected architecture" >&5
+-echo $ECHO_N "checking for autodetected architecture... $ECHO_C" >&6; }
+-fi
+-
+-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+-  else
 -    if test x$ARCH_INFO = x; then
 -      case x$target in
 -        i686-*-*)
--- zsnes.diff ends here ---


>Release-Note:
>Audit-Trail:
State-Changed-From-To: open->feedback 
State-Changed-By: edwin 
State-Changed-When: Thu Jan 25 23:30:39 UTC 2007 
State-Changed-Why:  
Awaiting maintainers feedback 

http://www.freebsd.org/cgi/query-pr.cgi?pr=108357 

From: Stefan Sperling <freebsd-ports@stsp.in-berlin.de>
To: bug-followup@FreeBSD.org
Cc:  
Subject: Re: ports/108357: Update port: emulators/zsnes to 1.51
Date: Fri, 26 Jan 2007 00:51:04 +0100

 --yrj/dFKFPuw6o+aM
 Content-Type: text/plain; charset=us-ascii
 Content-Disposition: inline
 Content-Transfer-Encoding: quoted-printable
 
 On Thu, Jan 25, 2007 at 11:30:31PM +0000, Edwin Groothuis wrote:
 > Maintainer of emulators/zsnes,
 >=20
 > Please note that PR ports/108357 has just been submitted.
 >=20
 > If it contains a patch for an upgrade, an enhancement or a bug fix
 > you agree on, reply to this email stating that you approve the patch
 > and a committer will take care of it.
 
 I've tested the patch on a 6.2 system (applied it and ran
 make && make deinstall && make reinstall). Worked fine.
 
 Thanks,
 --=20
 stefan
 http://stsp.in-berlin.de                                 PGP Key: 0xF59D25F0
 
 --yrj/dFKFPuw6o+aM
 Content-Type: application/pgp-signature
 Content-Disposition: inline
 
 -----BEGIN PGP SIGNATURE-----
 Version: GnuPG v1.4.6 (FreeBSD)
 
 iD8DBQFFuUJo5dMCc/WdJfARAusvAJ9YAJT5aCMc1CQHUYqde2mJXqwsJwCfT0pv
 3mmnjRuY1CxU/W4CuY76ASY=
 =N5gk
 -----END PGP SIGNATURE-----
 
 --yrj/dFKFPuw6o+aM--

From: Stefan Sperling <freebsd-ports@stsp.in-berlin.de>
To: bug-followup@FreeBSD.org
Cc:  
Subject: Re: ports/108357: Update port: emulators/zsnes to 1.51
Date: Fri, 26 Jan 2007 13:22:36 +0100

 --kVXhAStRUZ/+rrGn
 Content-Type: multipart/mixed; boundary="s2ZSL+KKDSLx8OML"
 Content-Disposition: inline
 
 
 --s2ZSL+KKDSLx8OML
 Content-Type: text/plain; charset=us-ascii
 Content-Disposition: inline
 Content-Transfer-Encoding: quoted-printable
 
 While at it, can we also change my email address in the Makefile?
 I've attached a new diff that does the upgrade to 1.51 and changes
 my address.
 
 Thanks,
 --=20
 stefan
 http://stsp.in-berlin.de                                 PGP Key: 0xF59D25F0
 
 --s2ZSL+KKDSLx8OML
 Content-Type: text/x-diff; charset=us-ascii
 Content-Disposition: attachment; filename="zsnes-1.51-change-email.patch"
 Content-Transfer-Encoding: quoted-printable
 
 diff -urN zsnes.orig/Makefile zsnes/Makefile
 --- zsnes.orig/Makefile	Fri Jan 26 00:44:05 2007
 +++ zsnes/Makefile	Fri Jan 26 13:18:18 2007
 @@ -6,13 +6,13 @@
  #
 =20
  PORTNAME=3D	zsnes
 -PORTVERSION=3D	1.50
 +PORTVERSION=3D	1.51
  PORTEPOCH=3D	1
  CATEGORIES=3D	emulators
  MASTER_SITES=3D	SF
  DISTNAME=3D	zsnes${PORTVERSION:S/.//}src
 =20
 -MAINTAINER=3D	freebsd-ports@stsp.in-berlin.de
 +MAINTAINER=3D	stsp@stsp.in-berlin.de
  COMMENT=3D	Intel x86 only Super Nintendo Entertainment System (SNES) Emula=
 tor
 =20
  # This must be >=3D 0.98!
 diff -urN zsnes.orig/distinfo zsnes/distinfo
 --- zsnes.orig/distinfo	Fri Jan 26 00:44:05 2007
 +++ zsnes/distinfo	Fri Jan 26 00:44:15 2007
 @@ -1,3 +1,3 @@
 -MD5 (zsnes150src.tar.bz2) =3D f0612e27b1c3dd821044525be5cf4450
 -SHA256 (zsnes150src.tar.bz2) =3D 2ddaaff892d511c717d3e270cc035b208ba2eca04=
 cdf3e749c5739df78ba9aba
 -SIZE (zsnes150src.tar.bz2) =3D 1058671
 +MD5 (zsnes151src.tar.bz2) =3D 328071775f88f7c3b9fdb94176e5e417
 +SHA256 (zsnes151src.tar.bz2) =3D eb013f824f5a9814a714cf0daaea3ea68a1c74fd7=
 41e5b0979fcb7964236a866
 +SIZE (zsnes151src.tar.bz2) =3D 1071712
 diff -urN zsnes.orig/files/patch-configure zsnes/files/patch-configure
 --- zsnes.orig/files/patch-configure	Fri Jan 26 00:44:05 2007
 +++ zsnes/files/patch-configure	Fri Jan 26 00:44:15 2007
 @@ -1,10 +1,61 @@
 ---- configure.orig	Tue Dec 26 18:52:47 2006
 -+++ configure	Tue Dec 26 18:53:22 2006
 -@@ -5075,38 +5075,6 @@
 +--- configure.orig	Thu Jan 25 23:44:43 2007
 ++++ configure	Thu Jan 25 23:48:32 2007
 +@@ -5130,89 +5130,6 @@
  =20
 - rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
 -   fi
 --  if test x$force_arch =3D x; then
 +   { echo "$as_me:$LINENO: checking which cpu architecture to optimize for=
 " >&5
 + echo $ECHO_N "checking which cpu architecture to optimize for... $ECHO_C"=
  >&6; }
 +-  if test x$force_arch !=3D x; then
 +-    CFLAGS=3D"$CFLAGS -march=3D$force_arch"
 +-    cat >conftest.$ac_ext <<_ACEOF
 +-/* confdefs.h.  */
 +-_ACEOF
 +-cat confdefs.h >>conftest.$ac_ext
 +-cat >>conftest.$ac_ext <<_ACEOF
 +-/* end confdefs.h.  */
 +-
 +-int
 +-main ()
 +-{
 +-
 +-  ;
 +-  return 0;
 +-}
 +-_ACEOF
 +-rm -f conftest.$ac_objext
 +-if { (ac_try=3D"$ac_compile"
 +-case "(($ac_try" in
 +-  *\"* | *\`* | *\\*) ac_try_echo=3D\$ac_try;;
 +-  *) ac_try_echo=3D$ac_try;;
 +-esac
 +-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
 +-  (eval "$ac_compile") 2>conftest.er1
 +-  ac_status=3D$?
 +-  grep -v '^ *+' conftest.er1 >conftest.err
 +-  rm -f conftest.er1
 +-  cat conftest.err >&5
 +-  echo "$as_me:$LINENO: \$? =3D $ac_status" >&5
 +-  (exit $ac_status); } && {
 +-	 test -z "$ac_c_werror_flag" ||
 +-	 test ! -s conftest.err
 +-       } && test -s conftest.$ac_objext; then
 +-  { echo "$as_me:$LINENO: result: forcing $force_arch" >&5
 +-echo "${ECHO_T}forcing $force_arch" >&6; }
 +-else
 +-  echo "$as_me: failed program was:" >&5
 +-sed 's/^/| /' conftest.$ac_ext >&5
 +-
 +-	{ echo "$as_me:$LINENO: result: $force_arch ??" >&5
 +-echo "${ECHO_T}$force_arch ??" >&6; }
 +-    { echo "$as_me:$LINENO: WARNING: incorrect force_arch parameter" >&5
 +-echo "$as_me: WARNING: incorrect force_arch parameter" >&2;}
 +-    force_arch=3D""
 +-    CFLAGS=3D"$CFLAGSBAK"
 +-    { echo "$as_me:$LINENO: checking for autodetected architecture" >&5
 +-echo $ECHO_N "checking for autodetected architecture... $ECHO_C" >&6; }
 +-fi
 +-
 +-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
 +-  else
  -    if test x$ARCH_INFO =3D x; then
  -      case x$target in
  -        i686-*-*)
 
 --s2ZSL+KKDSLx8OML--
 
 --kVXhAStRUZ/+rrGn
 Content-Type: application/pgp-signature
 Content-Disposition: inline
 
 -----BEGIN PGP SIGNATURE-----
 Version: GnuPG v1.4.6 (FreeBSD)
 
 iD8DBQFFufKM5dMCc/WdJfARAhExAKCgxZNhmo9S3mBmqhL0sbpc6ttkdACgyDCP
 RzB8ZojkQWfzY54hNgAfalM=
 =5Jx9
 -----END PGP SIGNATURE-----
 
 --kVXhAStRUZ/+rrGn--
State-Changed-From-To: feedback->open 
State-Changed-By: gabor 
State-Changed-When: Fri Feb 2 23:07:37 UTC 2007 
State-Changed-Why:  
Maintainer approved. 


Responsible-Changed-From-To: freebsd-ports-bugs->gabor 
Responsible-Changed-By: gabor 
Responsible-Changed-When: Fri Feb 2 23:07:37 UTC 2007 
Responsible-Changed-Why:  
Take. 

http://www.freebsd.org/cgi/query-pr.cgi?pr=108357 
State-Changed-From-To: open->closed 
State-Changed-By: gabor 
State-Changed-When: Mon Feb 5 18:54:27 UTC 2007 
State-Changed-Why:  
Committed, thanks! 

http://www.freebsd.org/cgi/query-pr.cgi?pr=108357 

From: dfilter@FreeBSD.ORG (dfilter service)
To: bug-followup@FreeBSD.org
Cc:  
Subject: Re: ports/108357: commit references a PR
Date: Mon,  5 Feb 2007 18:54:18 +0000 (UTC)

 gabor       2007-02-05 18:53:35 UTC
 
   FreeBSD ports repository
 
   Modified files:
     emulators/zsnes      Makefile distinfo 
     emulators/zsnes/files patch-configure 
   Log:
   - Update to 1.51
   - Change maintainer's e-mail address
   
   PR:             ports/108357
   Submitted by:   Bjorn Konig <bkoenig@cs.tu-berlin.de>
   Approved by:    Stefan Sperling <freebsd-ports@stsp.in-berlin.de> (maintainer),
                   erwin (mentor)
   
   Revision  Changes    Path
   1.32      +2 -2      ports/emulators/zsnes/Makefile
   1.15      +3 -3      ports/emulators/zsnes/distinfo
   1.2       +57 -6     ports/emulators/zsnes/files/patch-configure
 _______________________________________________
 cvs-all@freebsd.org mailing list
 http://lists.freebsd.org/mailman/listinfo/cvs-all
 To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
 
>Unformatted:
